Skip to main content
GET
/
v1
/
withdrawals
/
{withdrawalId}
Get a withdrawal
curl --request GET \
  --url https://api.yuvexpay.com/v1/withdrawals/{withdrawalId} \
  --header 'Authorization: Bearer <token>'
{
  "withdrawal": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "txId": "<string>",
    "grossAmount": 123,
    "feeAmount": 123,
    "netAmount": 123,
    "pixKey": "<string>",
    "pixKeyType": "<string>",
    "status": "PENDING",
    "isSandbox": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "paymentMethod": "PIX",
    "currency": "BRL",
    "processedAt": "2023-11-07T05:31:56Z",
    "errorMessage": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API access token obtained from POST /oauth/token. Include as Authorization: Bearer {token}.

Path Parameters

withdrawalId
string<uuid>
required

The withdrawal ID.

Response

Withdrawal found.

withdrawal
object